using System;

namespace LabelerCore.Model
{
    public interface INearestNeighbor : IClassifier
    {
        //return array of indices, array of distances
        Tuple<int, double>[] NearestNeighbor(double[][] X);
        //return index, distance
        Tuple<int, double> NearestNeighbor(double[] X);
    }
}
